Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor
Class FileDiagramEditorWithFlyoutPalette

    java.lang.Object
      DiagramEditorWithFlyOutPalette
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
              org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.IDEDiagramDocumentEditor
                  org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.FileDiagramEditor
                      org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.FileDiagramEditorWithFlyoutPalette

All Implemented Interfaces:
  IAdaptable, IDocumentEditor, IGotoMarker, IEditorPart, IReusableEditor, ISaveablePart, IWorkbenchPart

    public class FileDiagramEditorWithFlyoutPalette

extends FileDiagramEditor

FileDiagramEditor With a flyout palette

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
`fErrorLabel`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`FileDiagramEditorWithFlyoutPalette()` Constructs a FileDiagramEditor with Flyout Palette.

Method Summary

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.FileDiagramEditor
`doSaveAs, isSaveAsAllowed`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.IDEDiagramDocumentEditor
`gotoMarker, performSaveAs`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor

`askUserReload, askUserSaveClose, askUserSaveOverwrite, close, configureDiagramEditDomain, createActionManager, createEditingDomain, createOperationHistory, createPartControl, dispose, disposeDocumentProvider, doSave, doSetInput, editorSaved, enableSanityChecking, enableStateValidation, firePropertyChange, getAdapter, getDefaultPaletteContent, getDiagram, getDiagramDocument, getDocumentProvider, getDocumentProvider, getEditingDomain, getEditingDomainID, getEditorDescriptor, getProgressMonitor, handleEditorInputChanged, handleElementContentAboutToBeReplaced, handleElementContentReplaced, handleExceptionOnSave, init, isDirty, isEditable, isEditorInputModifiable, isEditorInputReadOnly, performSave, releaseInput, reuseDiagramOnMove, safelySanityCheckState, sanityCheckState, selectionChanged, setDocumentProvider, setDocumentProvider, setInput, setSite, updateState, validateEditorInputState, validateState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Constructor Detail

### FileDiagramEditorWithFlyoutPalette

    public FileDiagramEditorWithFlyoutPalette()

  Constructs a FileDiagramEditor with Flyout Palette.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.